Change log for python-rarfile package in Ubuntu

15 of 5 results
Published in focal-release on 2019-10-18
Published in eoan-release on 2019-08-10
Deleted in eoan-proposed (Reason: moved to release)
python-rarfile (3.0-2) unstable; urgency=medium

  * Team upload.
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0 (no changes).
  * Enable autopkgtest-pkg-python testsuite.

 -- Ondřej Nový <email address hidden>  Sat, 10 Aug 2019 21:29:17 +0200

Available diffs

Superseded in eoan-release on 2019-08-10
Published in disco-release on 2018-10-30
Published in cosmic-release on 2018-05-01
Published in bionic-release on 2017-11-09
Deleted in bionic-proposed (Reason: moved to release)
python-rarfile (3.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump compat level from 9 to 10.
  * debian/control:
    - Bump Standards to 4.1.0.
    - Update description to match new upstream release.
    - Depend on debhelper >= 10 instead of >= 9.
    - Depend exclusively on libarchive-tools instead of bsdtar and
      unrar-free (Closes: #797730).
  * Update copyright years.

 -- Hugo Lefeuvre <email address hidden>  Thu, 05 Oct 2017 10:41:21 +0200

Available diffs

Superseded in bionic-release on 2017-11-09
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed (Reason: moved to release)
python-rarfile (2.8-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Hugo Lefeuvre ]
  * New upstream release.
  * debian/control:
    - Fix unnecessary versioned dependency python-all in the Build-Depends
      field.
    - Fix unnecessary versioned dependency bsdtar in the Depends field.
    - Bump Standards-Version to 3.9.8.
    - Update synopsis for both python2 and python3 packages to remove
      redundant word 'Python'.
  * debian/copyright:
    - Update Format field to match DEP5 recommendations.
    - Update copyright years.
  * debian/control, debian/copyright:
    - Update Hugo Lefeuvre's e-mail address.

 -- Hugo Lefeuvre <email address hidden>  Sat, 18 Jun 2016 21:45:36 +0200

Available diffs

Superseded in yakkety-release on 2016-06-19
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed (Reason: moved to release)
python-rarfile (2.7-2) unstable; urgency=low

  * Upload to unstable.
  * debian/compat:
    - Bump compat level to 9.
  * debian/control:
    - Bump debhelper's minimal version to 9.
  * debian/watch:
    - Use pypi.debian.net instead of pypi.python.org, following
      DebianWiki's recommendation.
  * debian/copyright:
    - Update copyright years.
  * Delete README.Debian and python3-rarfile.README.Debian (no more 
    relevant due to last upstream release).

 -- Hugo Lefeuvre <email address hidden>  Fri, 10 Apr 2015 23:08:35 +0200

Available diffs

Superseded in wily-release on 2015-05-09
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2018-01-19 (Reason: moved to release)
python-rarfile (2.6-1) unstable; urgency=low


  * Initial release (Closes: #680085)

 -- Hugo Lefeuvre <email address hidden>  Mon, 09 Jun 2014 18:59:40 +0200
15 of 5 results